Bug 1286027 - Puppet can't write to /var/log/foreman/cron.log
Puppet can't write to /var/log/foreman/cron.log
Status: NEW
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Packaging (Show other bugs)
6.1.4
All Linux
medium Severity medium (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-27 04:42 EST by Kumudini Shirsale
Modified: 2016-11-27 01:49 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 16944 None None None 2016-10-14 10:06 EDT

  None (edit)
Description Kumudini Shirsale 2015-11-27 04:42:42 EST
Description of problem:
Puppet can't write to /var/log/foreman/cron.log

Version-Release number of selected component (if applicable):
Red Hat Satellite v.6.1.x

Issue :  puppet can't write to /var/log/foreman/cron.log

As customer observed :

For the below line in /etc/cron.d/foreman:

*/2 * * * *     puppet    /usr/bin/ruby193-ruby /etc/puppet/node.rb --push-facts >>/var/log/foreman/cron.log 2>&1

The log file '/var/log/foreman/cron.log' was not writeable an email with the error message was send by crond to user puppet.

Workaround:

Resolved by doing,

# usermod -aG foreman puppet

and

# chmod g+w /var/log/foreman/cron.log
Comment 1 Bryan Kearney 2016-07-26 15:09:29 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 4 Stephen Benjamin 2016-10-14 10:06:55 EDT
Created redmine issue http://projects.theforeman.org/issues/16944 from this bug
Comment 5 Stephen Benjamin 2016-10-14 10:08:25 EDT
Cron job is in the packaging repo.

Note You need to log in before you can comment on or make changes to this bug.